/* $Id: GSMouseEvent.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.swingui;

import java.awt.Point;
import java.awt.event.MouseEvent;
import java.awt.geom.Point2D;

@SuppressWarnings("serial")
public class GSMouseEvent extends MouseEvent{
	
	private MouseEvent originalEvent;
	
	public GSMouseEvent(MouseEvent e,Point p) {
		super(e.getComponent(),e.getID(),e.getWhen(),e.getModifiers(),p.x,p.y,e.getClickCount(),e.isPopupTrigger(),e.getButton());
		this.originalEvent = e;
	}
	public Point2D getPoint2D(){
		return new Point2D.Double(this.getPoint().x,this.getPoint().y);
	}
	public Point getOriginalPoint(){
		return this.originalEvent.getPoint();
	}
}
